> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get beneficiaries

> This endpoint allows you to retrieve beneficiaries.



## OpenAPI

````yaml openapi.json get /beneficiaries
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /beneficiaries:
    get:
      tags:
        - Beneficiary
      summary: Get beneficiaries
      description: This endpoint allows you to retrieve beneficiaries.
      operationId: listBeneficiaries
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            description: >-
              This is the current page being requested relative to size of a
              page
            default: 1
      responses:
        '200':
          description: Beneficiaries fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBeneficiariesResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetBeneficiariesResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Beneficiaries fetched successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-08T21:16:13.410Z'
        data:
          type: object
          properties:
            beneficiaries:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    example: 68bf2eba196a18d7bd166184
                  is_active:
                    type: boolean
                    example: true
                  currency:
                    type: string
                    example: ngn
                  details:
                    type: object
                    description: Bank account details based on country
            total:
              type: integer
              example: 1
            page:
              type: integer
              example: 1
            limit:
              type: integer
              example: 10
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````